Remove warnings-silencing flags for code generated by Alex
ClosedPublic

Authored by sjakobi on Nov 10 2018, 2:33 AM.

Details

Summary

Current versions of Alex don't seem to produce as many warnings any
more.

In order to silence a warning and to avoid overlong lines, I've taken
the liberty of refactoring 'tok_num'.

Test Plan

./validate

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
sjakobi created this revision.Nov 10 2018, 2:33 AM
sjakobi added inline comments.Nov 10 2018, 2:39 AM
compiler/parser/Lexer.x
3140

I'm not quite sure what to update in aclocal.m4. Should I bump to version requirement to >3.1.4?

I'll send the heads up email once this revision is accepted.

simonmar accepted this revision.Nov 16 2018, 2:10 AM
simonmar added inline comments.
compiler/parser/Lexer.x
3140

Bump the version constraint if we need a later version of Alex to validate correctly with this change.

This revision is now accepted and ready to land.Nov 16 2018, 2:10 AM
sjakobi updated this revision to Diff 18701.Nov 16 2018, 6:21 AM
  • Bump Alex version requirement to 3.1.7
sjakobi updated this revision to Diff 18702.Nov 16 2018, 6:22 AM

Fix bad revision update

sjakobi marked 2 inline comments as done.Nov 16 2018, 6:24 AM
sjakobi requested review of this revision.Nov 16 2018, 6:27 AM

Do my updates to aclocal.m4 and mk/config.mk.in make sense?

If so, I will update https://ghc.haskell.org/trac/ghc/wiki/Building/Preparation/Tools and send the heads-up email.

simonmar accepted this revision.Nov 22 2018, 5:53 AM

Yep, LGTM

This revision is now accepted and ready to land.Nov 22 2018, 5:53 AM
This revision was automatically updated to reflect the committed changes.